Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 2837153003: Views/Harmony Remove references to ui/views/layout/layout_constants.h (Closed)

Created:
2 years, 6 months ago by ananta
Modified:
2 years, 6 months ago
Reviewers:
Peter Kasting
CC:
chromium-reviews, tfarina
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Views/Harmony Remove references to ui/views/layout/layout_constants.h Replace references to constants in ui/views/layout/layout_constants.h with their equivalents using ChromeLayoutProvider. Removed some stale includes of layout_constants.h BUG=691897 Review-Url: https://codereview.chromium.org/2837153003 Cr-Commit-Position: refs/heads/master@{#467245} Committed: https://chromium.googlesource.com/chromium/src/+/66f7a47ed009c67b5b1663af630c9cc4c0cb351f

Patch Set 1 #

Total comments: 4

Patch Set 2 : Address review comments and fix test #

Patch Set 3 : inline metrics fetch #

Patch Set 4 : format #

Patch Set 5 : Fix build redness #

Unified diffs Side-by-side diffs Delta from patch set Stats (+41 lines, -19 lines) Patch
M chrome/browser/ui/views/confirm_bubble_views.cc View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/views/content_setting_bubble_contents.cc View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/views/create_application_shortcut_view.cc View 4 chunks +9 lines, -3 lines 0 comments Download
M chrome/browser/ui/views/crypto_module_password_dialog_view.cc View 4 chunks +7 lines, -3 lines 0 comments Download
M chrome/browser/ui/views/crypto_module_password_dialog_view_unittest.cc View 1 2 3 4 2 chunks +9 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/first_run_bubble.cc View 4 chunks +8 lines, -4 lines 0 comments Download
M chrome/browser/ui/views/first_run_bubble_unittest.cc View 1 2 3 4 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/first_run_dialog.cc View 1 2 3 4 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/ui/views/network_profile_bubble_view.cc View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/views/outdated_upgrade_bubble_view.cc View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/views/session_crashed_bubble_view.cc View 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 19 (12 generated)
ananta
2 years, 6 months ago (2017-04-25 02:02:25 UTC) #2
Peter Kasting
LGTM https://codereview.chromium.org/2837153003/diff/1/chrome/browser/ui/views/first_run_dialog.cc File chrome/browser/ui/views/first_run_dialog.cc (right): https://codereview.chromium.org/2837153003/diff/1/chrome/browser/ui/views/first_run_dialog.cc#newcode85 chrome/browser/ui/views/first_run_dialog.cc:85: ChromeLayoutProvider* provider = ChromeLayoutProvider::Get(); Nit: Can inline this ...
2 years, 6 months ago (2017-04-25 03:21:19 UTC) #7
ananta
https://codereview.chromium.org/2837153003/diff/1/chrome/browser/ui/views/first_run_dialog.cc File chrome/browser/ui/views/first_run_dialog.cc (right): https://codereview.chromium.org/2837153003/diff/1/chrome/browser/ui/views/first_run_dialog.cc#newcode85 chrome/browser/ui/views/first_run_dialog.cc:85: ChromeLayoutProvider* provider = ChromeLayoutProvider::Get(); On 2017/04/25 03:21:19, Peter Kasting ...
2 years, 6 months ago (2017-04-25 21:50:28 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2837153003/60001
2 years, 6 months ago (2017-04-25 22:01:34 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/412585)
2 years, 6 months ago (2017-04-25 22:17:26 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2837153003/80001
2 years, 6 months ago (2017-04-26 04:47:53 UTC) #16
commit-bot: I haz the power
2 years, 6 months ago (2017-04-26 05:32:50 UTC) #19
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/66f7a47ed009c67b5b1663af630c...

Powered by Google App Engine
This is Rietveld 408576698